
# 身份证识别

基于paddleocr v2, 用于识别身份证的正反面。

## 环境

- python >= 3.7
- paddleocr
- paddlepaddle
- cv2

```shell
conda env create -f environment.yml
```

## demo

```ssh
# 正面
python main.py

# 反面 
python main2.py

```

## 服务端

```shell
# port 8080
python server.py --port 8080
```

## 单元测试

```shell
 python -m unittest discover testing '*_test.py' -v
```

## 镜像打包

```shell
make all
```